package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum SettleCategoryTypEnum implements BaseEnum {
    INSTALL_HOME("INSTALL_HOME","安装家用空调"),
    INSTALL_OTHER("INSTALL_OTHER","安装其它"),
    REPAIR("REPAIR","维修"),
    OTHER("OTHER","其它"),
            ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}
